import {css} from "../esm/libs/lit.dist.js?ver=1.26.2";

export default css`
    pk-dialog {
        --max-height: calc(100vh - 180px);
        --modal-body-padding: 0 1.5rem 1.5rem 1.5rem;
        --header-padding-y: 1rem;
        --header-padding-x: 1.5rem;
    }

    pk-card {
        position: relative;
    }

    .templates-column {
        --size-md: 12;
        --size-lg: 4;
        gap: 0.3rem;
        display: flex;
        flex-direction: column;
        max-height: calc(100vh - 180px);
        position: relative;
    }

    .order-column {
        --size-md: 12;
        --size-lg: 8;
        gap: 0.3rem;
        display: flex;
        flex-direction: column;
        max-height: calc(100vh - 180px);
        position: relative;
        overflow: auto;
    }

    .pk-heading {
        margin-top: 0.5rem;
        &:first-child {
            margin-top: 0;
        }
    }

    .action-button {
        border-radius: 50%;
        padding: 0.5rem;
        position: absolute;
        top: 0;
        right: 0;
        width: 2rem;
        height: 2rem;
        translate: 25% -25%;
    }
`;
