<?php


namespace Polkurier\Http;


use Polkurier\Exception\HttpException;

class ErrorJsonResponse extends JsonResponse
{

    public static function createFromException(\Exception $exception)
    {
        $code = 500;
        if ($exception instanceof HttpException) {
            $code = $exception->getCode();
        }
        return new self([
            'error' => $exception->getMessage(),
            'code' => $code,
        ], $code);
    }

}
