<?php

namespace Polkurier\Upgrade\Migrations;

use Polkurier\ShippingMethods\InpostParcelMachineShippingMethodMethod;
use Polkurier\ShippingMethods\PaczkaWRuchuShippingMethodMethod;
use Polkurier\Upgrade\DatabaseMigrationInterface;

class MigrateFrom2To3 implements DatabaseMigrationInterface
{

    public function fromVersion()
    {
        return 2;
    }

    public function toVersion()
    {
        return 3;
    }

    public function doUpgrade()
    {
        global $wpdb;
        $tableName = $wpdb->prefix . 'polkurier_orders';
        $wpdb->query("UPDATE $tableName SET date_created = NOW() WHERE date_created IS NULL");
    }

}
