<?php

namespace Polkurier\Integrations;

abstract class AbstractIntegration
{

    /**
     * @return string
     */
    public function getSelectButtonLabel($method)
    {
        return __('Wybierz punkt', \Polkurier::instance()->getTextDomain());
    }

    /**
     * @param string $key
     * @return mixed|string
     */
    protected function getPostData($key)
    {
        if (isset($_POST['post_data'])) {
            $data = [];
            parse_str($_POST['post_data'], $data);
            if (isset($data[$key])) {
                return $data[$key];
            }
        }
        return '';
    }

    abstract public function getMapProviders($method);

}
